<div class="container" *ngIf="product | async as detailProduct">
    <img [src]="detailProduct.image" alt="">
    <p>{{detailProduct.name}}</p>
    <p>{{detailProduct.desc}}</p>
    <p>{{detailProduct.price | currency:'IDR'}}</p>
    <button pButton (click)="checkout()">Checkout</button>
</div>
